package de.bsvrz.ste.rdstmcvew;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.DataDescription;
import de.bsvrz.dav.daf.main.ResultData;

/**
 * Kommentar
 * 
 * @version $Revision: 1.1 $ / $Date: 2008/10/29 12:09:03 $ / ($Author: Hilpp $)
 * 
 * @author Dambach-Werke GmbH
 * @author Timo Pittner
 * 
 */
public interface Verwaltung
{
  /**
   * @param pid
   * @param name
   * @param data
   * @return
   */
  public boolean erzeuge(String pid, String name, String set);

  public boolean erzeugeUmfeld(String pid, String name, String set, Data[] data);

  /**
   * @param pid
   * @return
   */
  public boolean loesche(String pid);

  /**
   * @param pid
   * @return
   */
  public boolean hinzufuegeZuMenge(String pid);

  /**
   * @param pid
   * @return
   */
  public boolean entferneVonMenge(String pid);

  /**
   * @param dd
   * @param resultData
   * @return
   */
  public boolean parametriere(DataDescription dd, ResultData resultData);
  /**
   * @param dd
   * @param resultData
   * @return
   */
  public boolean konfiguriere(ResultData resultData);

}
